{{/*
The main ingress resource to allow external requests to reach the web deployment and the mock SAML connection if deployed.
*/}}
{{- $webDomain := required "A domain for web is required" .Values.webDomain -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    {{- if .Values.useLetsEncryptCertificate }}
    cert-manager.io/cluster-issuer: letsencrypt-prod
    {{- end }}
    nginx.ingress.kubernetes.io/whitelist-source-range: {{ required "A whitelist for web is required" .Values.webWhitelist }}
  name: {{ include "dgh.webName" . }}
  labels:
    {{- include "dgh.standardLabels" . | nindent 4 }}
spec:
  ingressClassName: nginx
  rules:
    - host: {{ $webDomain | quote }}
      http:
        paths:
          {{- if .Values.mockSamlConnection }}
          - backend:
              service:
                name: {{ include "dgh.mockIdpName" . }}
                port:
                  name: http
            path: '/simplesaml/'
            pathType: Prefix
          {{- end }}
          - backend:
              service:
                name: {{ include "dgh.webName" . }}
                port:
                  name: http
            path: '/'
            pathType: Prefix
  tls:
    - hosts:
        - {{ $webDomain }}
      {{- if .Values.useLetsEncryptCertificate }}
      secretName: {{ include "dgh.webName" . }}-tls
      {{- else }}
      secretName: {{ .Values.wildcardTlsSecretName }}
      {{- end }}
